<mamecheat version="1">

  <cheat desc="Infinite Selection Time">
    <script state="run">
      <action>maincpu.pb@10BE68=11</action>
    </script>
  </cheat>

  <cheat desc="Kill Boss with 1 hit Now!">
    <script state="on">
      <action>maincpu.pb@10019A=00</action>
    </script>
  </cheat>

  <cheat desc="Enemy never fires at you!">
    <script state="run">
      <action>maincpu.pb@1017BF=63</action>
    </script>
  </cheat>

  <cheat desc="Infinite Fire Bomb Shot Time"> <comment>This cheat only works for one player at a time, it can be either PL1 or PL2. You either have to end the level or turn it OFF before the other player can have a go at it!</comment>
    <script state="run">
      <action>maincpu.pb@100E41=26</action>
    </script>
  </cheat>

  <cheat desc="Always have 1000000 bonus">
    <script state="run">
      <action>maincpu.pb@103F8F=1E</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@101965=05</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bombs PL1">
    <script state="run">
      <action>maincpu.pb@102CB0=06</action>
      <action>maincpu.pb@102CB1=06</action> <!-- 1/2 = actual 2/2 = capacity -->
    </script>
  </cheat>

  <cheat desc="Maximum Shot PL1">
    <script state="run">
      <action>maincpu.pb@102CAD=04</action>
      <action>maincpu.pb@102CAF=04</action> <!-- 1/2=Flag 2/2=State -->
    </script>
  </cheat>

  <cheat desc="Maximum Combo PL1">
    <script state="run">
      <action>maincpu.pb@1017D1=37</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action>maincpu.pb@102CCA=01</action>
    </script>
  </cheat>

  <cheat desc="Always have x99 max PL1">
    <script state="run">
      <action>maincpu.pb@10192B=99</action>
      <action>maincpu.pb@10192D=99</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@101967=05</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bombs PL2">
    <script state="run">
      <action>maincpu.pb@102CF0=06</action>
      <action>maincpu.pb@102CF1=06</action> <!-- 1/2 = actual 2/2 = capacity -->
    </script>
  </cheat>

  <cheat desc="Maximum Shot PL2">
    <script state="run">
      <action>maincpu.pb@102CED=04</action>
      <action>maincpu.pb@102CEF=04</action> <!-- 1/2=Flag 2/2=State -->
    </script>
  </cheat>

  <cheat desc="Maximum Combo PL2">
    <script state="run">
      <action>maincpu.pb@1017FB=37</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pb@102D0A=01</action>
    </script>
  </cheat>

  <cheat desc="Always have x99 max PL2">
    <script state="run">
      <action>maincpu.pb@101935=99</action>
      <action>maincpu.pb@101937=99</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
